WP3FootnoteEndnoteGroup Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
WP3FootnoteEndnoteGroup Class Reference

`#include <WP3FootnoteEndnoteGroup.h>`

Inheritance diagram for WP3FootnoteEndnoteGroup:

## Public Member Functions
| WP3FootnoteEndnoteGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP3FootnoteEndnoteGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP3Listener *listener) override
Public Member Functions inherited from WP3VariableLengthGroup
| WP3VariableLengthGroup ()
| ~WP3VariableLengthGroup () override
Public Member Functions inherited from WP3Part
virtual | ~WP3Part ()
virtual void | parse (WP3Listener *listener)=0

## Private Member Functions
| WP3FootnoteEndnoteGroup (const WP3FootnoteEndnoteGroup &)
WP3FootnoteEndnoteGroup & | operator= (const WP3FootnoteEndnoteGroup &)

## Private Attributes
std::unique_ptr< WP3SubDocument > | m_subDocument

## Additional Inherited Members
Static Public Member Functions inherited from WP3VariableLengthGroup
static WP3VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char group)
Static Public Member Functions inherited from WP3Part
static WP3Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP3VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual void | _readContents (librevenge::RVNGInputStream *, WPXEncryption *)
unsigned char | getSubGroup () const
unsigned short | getSize () const

## Constructor & Destructor Documentation

## ◆ WP3FootnoteEndnoteGroup() [1/2]

WP3FootnoteEndnoteGroup::WP3FootnoteEndnoteGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |

## ◆ ~WP3FootnoteEndnoteGroup()

WP3FootnoteEndnoteGroup::~WP3FootnoteEndnoteGroup | ( |  | ) |
| override

## ◆ WP3FootnoteEndnoteGroup() [2/2]

WP3FootnoteEndnoteGroup::WP3FootnoteEndnoteGroup | ( | const WP3FootnoteEndnoteGroup & |  | ) |
| private

## Member Function Documentation

## ◆ _readContents()

void WP3FootnoteEndnoteGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| overridevirtual

Reimplemented from WP3VariableLengthGroup.

## ◆ operator=()

WP3FootnoteEndnoteGroup & WP3FootnoteEndnoteGroup::operator= | ( | const WP3FootnoteEndnoteGroup & |  | ) |
| private

## ◆ parse()

void WP3FootnoteEndnoteGroup::parse | ( | WP3Listener * | listener | ) |
| overridevirtual

Implements WP3Part.

## Member Data Documentation

## ◆ m_subDocument

std::unique_ptr<WP3SubDocument> WP3FootnoteEndnoteGroup::m_subDocument
| private

Referenced by _readContents(), and parse().

The documentation for this class was generated from the following files:

- WP3FootnoteEndnoteGroup.h
- WP3FootnoteEndnoteGroup.cpp